Galon Cloud
Galon API v1

/projects/{project_id}/jobs

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

GET /projects/{project_id}/jobs

List the project's jobs from the console (paginated, status filter)

Console session only (signed-in console).

Parameters

NameInTypeDescription
project_idpathstring · required
limitqueryinteger
statusquery"en_file" | "en_cours" | "reussi" | "echoue" | "annule" | "indetermine"
cursorquerystring

Responses

StatusDescriptionBody
200Jobs from newest to oldest, next_cursorJobListResponse
404Project not found
422Invalid parametersError

Examples

curl

curl -X GET "$GALON_API_BASE/projects/<project_id>/jobs" \
  -H "Authorization: Bearer $GALON_API_KEY"